searchData={"items":[{"type":"module","title":"Teac","doc":"Documentation for `Teac`.","ref":"Teac.html"},{"type":"function","title":"Teac.api_uri/0","doc":"","ref":"Teac.html#api_uri/0"},{"type":"function","title":"Teac.auth_uri/0","doc":"","ref":"Teac.html#auth_uri/0"},{"type":"function","title":"Teac.client_id/0","doc":"","ref":"Teac.html#client_id/0"},{"type":"function","title":"Teac.client_secret/0","doc":"","ref":"Teac.html#client_secret/0"},{"type":"function","title":"Teac.random_string/0","doc":"","ref":"Teac.html#random_string/0"},{"type":"function","title":"Teac.redirect_uri/0","doc":"","ref":"Teac.html#redirect_uri/0"},{"type":"module","title":"Teac.Api.Analytics.Extensions","doc":"","ref":"Teac.Api.Analytics.Extensions.html"},{"type":"function","title":"Teac.Api.Analytics.Extensions.get/1","doc":"# Get Extension Analytics\nGets an analytics report for one or more extensions. The response contains the URLs used to download the reports (CSV files).\n\nFrom https://dev.twitch.tv/docs/api/reference/#get-extension-analytics","ref":"Teac.Api.Analytics.Extensions.html#get/1"},{"type":"function","title":"Authorization - Teac.Api.Analytics.Extensions.get/1","doc":"Requires a user access token that includes the `analytics:read:extensions` scope.","ref":"Teac.Api.Analytics.Extensions.html#get/1-authorization"},{"type":"function","title":"Parameters - Teac.Api.Analytics.Extensions.get/1","doc":"* extension_id :string, required: false\n\nThe extension's client ID. If specified, the response contains a report for the specified extension. If not specified, the response includes a report for each extension that the authenticated user owns.\n\n* type :string, required: false\n\nThe type of analytics report to get. Possible values are: `overview_v2`\n\n* started_at :string, required: false\n\nThe reporting window's start date, in RFC3339 format. Set the time portion to zeroes (for example, 2021-10-22T00:00:00Z).\nThe start date must be on or after January 31, 2018. If you specify an earlier date, the API ignores it and uses January 31, 2018.\nIf you specify a start date, you must specify an end date. If you don't specify a start and end date, the report includes all available data since January 31, 2018.\nThe report contains one row of data for each day in the reporting window.\n\n* ended_at :string, required: false\n\nThe reporting window's end date, in RFC3339 format. Set the time portion to zeroes (for example, 2021-10-27T00:00:00Z).\nThe report is inclusive of the end date. Specify an end date only if you provide a start date.\nBecause it can take up to two days for the data to be available, you must specify an end date that's earlier than today minus one to two days.\nIf not, the API ignores your end date and uses an end date that is today minus one to two days.","ref":"Teac.Api.Analytics.Extensions.html#get/1-parameters"},{"type":"module","title":"Teac.Api.Analytics.Games","doc":"","ref":"Teac.Api.Analytics.Games.html"},{"type":"function","title":"Teac.Api.Analytics.Games.get/1","doc":"Gets an analytics report for one or more games. The response contains the URLs used to download the reports (CSV files). Learn more","ref":"Teac.Api.Analytics.Games.html#get/1"},{"type":"function","title":"Authorization - Teac.Api.Analytics.Games.get/1","doc":"Requires a user access token that includes the analytics:read:games scope.","ref":"Teac.Api.Analytics.Games.html#get/1-authorization"},{"type":"module","title":"Teac.Api.Bits.Cheermotes","doc":"","ref":"Teac.Api.Bits.Cheermotes.html"},{"type":"function","title":"Teac.Api.Bits.Cheermotes.get/1","doc":"Get Cheermotes\n\nGets a list of Cheermotes that users can use to cheer Bits in any Bits-enabled channel’s chat room. Cheermotes are animated emotes that viewers can assign Bits to.","ref":"Teac.Api.Bits.Cheermotes.html#get/1"},{"type":"function","title":"Authorization - Teac.Api.Bits.Cheermotes.get/1","doc":"Requires an app access token or user access token.","ref":"Teac.Api.Bits.Cheermotes.html#get/1-authorization"},{"type":"function","title":"Parameters - Teac.Api.Bits.Cheermotes.get/1","doc":"* token : String - required\n* client_id : String - optional\n* broadcaster_id : integer - optional\n\nSpecify the broadcaster’s ID if you want to include the broadcaster’s Cheermotes in the response\n(not all broadcasters upload Cheermotes).\n\nIf not specified, the response contains only global Cheermotes.","ref":"Teac.Api.Bits.Cheermotes.html#get/1-parameters"},{"type":"function","title":"Examples - Teac.Api.Bits.Cheermotes.get/1","doc":"iex> Teac.Api.Bits.Cheermotes.get(token :token)\n\n    {:ok,[%{\n      \"prefix\" =>  \"Cheer\",\n      \"tiers\" =>  [\n      %{\n        \"min_bits\" =>  1,\n        \"id\" =>  \"1\",\n        \"color\" =>  \"#979797\",\n        \"images\" =>  %{\n          \"dark\" =>  %{\n            \"animated\" =>  %{\n              \"1\" =>  \"https://d3aqoihi2n8ty8.cloudfront.net/actions/cheer/dark/animated/1/1.gif\",\n              ...\n            },\n            \"static\" =>  %{\n              \"1\" =>  \"https://d3aqoihi2n8ty8.cloudfront.net/actions/cheer/dark/static/1/1.png\",\n              ...\n            }\n          },\n          \"light\" =>  %{\n            \"animated\" =>  %{\n              \"1\" =>  \"https://d3aqoihi2n8ty8.cloudfront.net/actions/cheer/light/animated/1/1.gif\",\n              ...\n            },\n            \"static\" =>  {\n              \"1\" =>  \"https://d3aqoihi2n8ty8.cloudfront.net/actions/cheer/light/static/1/1.png\",\n              ...\n            }\n          }\n        },\n        \"can_cheer\" =>  true,\n        \"show_in_bits_card\" =>  true\n      }\n      },\n      \"type\" =>  \"global_first_party\",\n      \"order\" =>  1,\n      \"last_updated\" =>  \"2018-05-22T00:06:04Z\",\n      \"is_charitable\" =>  false\n    }],\n  }","ref":"Teac.Api.Bits.Cheermotes.html#get/1-examples"},{"type":"module","title":"Teac.Api.Bits.Extensions","doc":"","ref":"Teac.Api.Bits.Extensions.html"},{"type":"function","title":"Teac.Api.Bits.Extensions.get/1","doc":"","ref":"Teac.Api.Bits.Extensions.html#get/1"},{"type":"function","title":"Teac.Api.Bits.Extensions.put/1","doc":"","ref":"Teac.Api.Bits.Extensions.html#put/1"},{"type":"module","title":"Teac.Api.Bits.Leaderboard","doc":"","ref":"Teac.Api.Bits.Leaderboard.html"},{"type":"function","title":"Teac.Api.Bits.Leaderboard.get/1","doc":"","ref":"Teac.Api.Bits.Leaderboard.html#get/1"},{"type":"module","title":"Teac.Api.ChannelPoints.CustomRewards","doc":"","ref":"Teac.Api.ChannelPoints.CustomRewards.html"},{"type":"function","title":"Teac.Api.ChannelPoints.CustomRewards.delete/1","doc":"","ref":"Teac.Api.ChannelPoints.CustomRewards.html#delete/1"},{"type":"function","title":"Teac.Api.ChannelPoints.CustomRewards.get/1","doc":"https://dev.twitch.tv/docs/api/reference/#get-custom-reward","ref":"Teac.Api.ChannelPoints.CustomRewards.html#get/1"},{"type":"function","title":"Teac.Api.ChannelPoints.CustomRewards.patch/1","doc":"","ref":"Teac.Api.ChannelPoints.CustomRewards.html#patch/1"},{"type":"function","title":"Teac.Api.ChannelPoints.CustomRewards.post/1","doc":"","ref":"Teac.Api.ChannelPoints.CustomRewards.html#post/1"},{"type":"module","title":"Teac.Api.ChannelPoints.Redemptions","doc":"","ref":"Teac.Api.ChannelPoints.Redemptions.html"},{"type":"function","title":"Teac.Api.ChannelPoints.Redemptions.get/1","doc":"","ref":"Teac.Api.ChannelPoints.Redemptions.html#get/1"},{"type":"function","title":"Teac.Api.ChannelPoints.Redemptions.patch/1","doc":"","ref":"Teac.Api.ChannelPoints.Redemptions.html#patch/1"},{"type":"module","title":"Teac.Api.Channels","doc":"","ref":"Teac.Api.Channels.html"},{"type":"function","title":"Teac.Api.Channels.get/1","doc":"Gets information about one or more channels.\n\n#### Authorization\nRequires an app access token or user access token.","ref":"Teac.Api.Channels.html#get/1"},{"type":"function","title":"Opts Arrgument keys - Teac.Api.Channels.get/1","doc":"* broadcaster_ids : required    list of one of more broadcaster_ids   Max 100 IDs, ignores duplicates and not found.\n\n* token : required (app or user)\n\n* client_id : optinal (defaults to Teac.client_id())","ref":"Teac.Api.Channels.html#get/1-opts-arrgument-keys"},{"type":"function","title":"Examples - Teac.Api.Channels.get/1","doc":"iex> Teac.Api.Channels.get([123, 234], \"some_token\")\n    iex> Teac.Api.Channels.get([123, 234], \"some_token\", \"some_client_id\")\n\n    {:ok,\n      {\n        \"broadcaster_id\" =>  \"1\",\n        \"broadcaster_login\" =>  \"twitchdev\",\n        \"broadcaster_name\" =>  \"TwitchDev\",\n        \"broadcaster_language\" =>  \"en\",\n        \"game_id\" =>  \"509670\",\n        \"game_name\" =>  \"Science & Technology\",\n        \"title\" =>  \"TwitchDev Monthly Update // May 6, 2021\",\n        \"delay\" =>  0,\n        \"tags\" =>  [\"DevsInTheKnow\"],\n        \"content_classification_labels\" => [\"Gambling\", \"DrugsIntoxication\", \"MatureGame\"],\n        \"is_branded_content\" =>  false\n      }...\n    }","ref":"Teac.Api.Channels.html#get/1-examples"},{"type":"function","title":"Teac.Api.Channels.patch/1","doc":"Modify Channel Information\nUpdates a channel’s properties.","ref":"Teac.Api.Channels.html#patch/1"},{"type":"function","title":"Authorization - Teac.Api.Channels.patch/1","doc":"Requires a user access token that includes the channel:manage:broadcast scope.","ref":"Teac.Api.Channels.html#patch/1-authorization"},{"type":"function","title":"Opts Arrgument keys - Teac.Api.Channels.patch/1","doc":"* token : required user token\n* client_id : optinal (defaults to Teac.client_id())\n* broadcaster_id: String - required\n\nThe ID of the broadcaster whose channel you want to update.    This ID must match the user ID in the user access token.    \n* form : required - Map (At leaste one key is required)\n    - game_id: String - optional - Unset with 0 or \"\"\n    - broadcaster_language: - String - optinal (ISO 639-1 two-letter language code)\n    - title: String - optional\n    - delay: integer - optional\n    - tags: list of strings - optional (max 10 tax, max 25 chars per tag)\n    - content_classification_labels - Map - optional\n        id: String - required\n          can be one of the following:\n          * DebatedSocialIssuesAndPolitics\n          * DrugsIntoxication\n          * SexualThemes\n          * ViolentGraphic\n          * Gambling\n          * ProfanityVulgarity\n        is_enabled: boolean - required\n    - is_branded_content: boolean - optional","ref":"Teac.Api.Channels.html#patch/1-opts-arrgument-keys"},{"type":"module","title":"Teac.Api.Channels.Ads","doc":"","ref":"Teac.Api.Channels.Ads.html"},{"type":"function","title":"Teac.Api.Channels.Ads.get/1","doc":"","ref":"Teac.Api.Channels.Ads.html#get/1"},{"type":"module","title":"Teac.Api.Channels.Commercial","doc":"","ref":"Teac.Api.Channels.Commercial.html"},{"type":"function","title":"Teac.Api.Channels.Commercial.post/1","doc":"","ref":"Teac.Api.Channels.Commercial.html#post/1"},{"type":"module","title":"Teac.Api.Channels.ContentClassificationLabel","doc":"","ref":"Teac.Api.Channels.ContentClassificationLabel.html"},{"type":"function","title":"Teac.Api.Channels.ContentClassificationLabel.changeset/2","doc":"","ref":"Teac.Api.Channels.ContentClassificationLabel.html#changeset/2"},{"type":"module","title":"Teac.Api.Channels.Editors","doc":"","ref":"Teac.Api.Channels.Editors.html"},{"type":"function","title":"Teac.Api.Channels.Editors.get/1","doc":"","ref":"Teac.Api.Channels.Editors.html#get/1"},{"type":"module","title":"Teac.Api.Channels.Followed","doc":"","ref":"Teac.Api.Channels.Followed.html"},{"type":"function","title":"Teac.Api.Channels.Followed.get/1","doc":"","ref":"Teac.Api.Channels.Followed.html#get/1"},{"type":"module","title":"Teac.Api.Channels.Followers","doc":"","ref":"Teac.Api.Channels.Followers.html"},{"type":"function","title":"Teac.Api.Channels.Followers.get/1","doc":"","ref":"Teac.Api.Channels.Followers.html#get/1"},{"type":"module","title":"Teac.Api.Channels.Form","doc":"","ref":"Teac.Api.Channels.Form.html"},{"type":"function","title":"Teac.Api.Channels.Form.changeset/2","doc":"","ref":"Teac.Api.Channels.Form.html#changeset/2"},{"type":"module","title":"Teac.Api.Channels.PatchParams","doc":"","ref":"Teac.Api.Channels.PatchParams.html"},{"type":"function","title":"Teac.Api.Channels.PatchParams.changeset/2","doc":"","ref":"Teac.Api.Channels.PatchParams.html#changeset/2"},{"type":"module","title":"Teac.Api.Channels.Schedule.Snooze","doc":"","ref":"Teac.Api.Channels.Schedule.Snooze.html"},{"type":"function","title":"Teac.Api.Channels.Schedule.Snooze.post/1","doc":"","ref":"Teac.Api.Channels.Schedule.Snooze.html#post/1"},{"type":"module","title":"Teac.Api.Channels.Vips","doc":"","ref":"Teac.Api.Channels.Vips.html"},{"type":"function","title":"Teac.Api.Channels.Vips.delete/1","doc":"","ref":"Teac.Api.Channels.Vips.html#delete/1"},{"type":"function","title":"Teac.Api.Channels.Vips.get/1","doc":"","ref":"Teac.Api.Channels.Vips.html#get/1"},{"type":"module","title":"Teac.Api.Charity.Campaings","doc":"","ref":"Teac.Api.Charity.Campaings.html"},{"type":"function","title":"Teac.Api.Charity.Campaings.get/1","doc":"","ref":"Teac.Api.Charity.Campaings.html#get/1"},{"type":"module","title":"Teac.Api.Charity.Donations","doc":"","ref":"Teac.Api.Charity.Donations.html"},{"type":"function","title":"Teac.Api.Charity.Donations.get/1","doc":"","ref":"Teac.Api.Charity.Donations.html#get/1"},{"type":"module","title":"Teac.Api.Chat.Announcements","doc":"","ref":"Teac.Api.Chat.Announcements.html"},{"type":"function","title":"Teac.Api.Chat.Announcements.post/1","doc":"Sends an announcement to the broadcaster’s chat room.\n\nsource docs: https://dev.twitch.tv/docs/api/reference/#send-chat-announcement\nRate Limits: One announcement may be sent every 2 seconds.","ref":"Teac.Api.Chat.Announcements.html#post/1"},{"type":"function","title":"Authorization - Teac.Api.Chat.Announcements.post/1","doc":"Requires a user access token that includes the moderator:manage:announcements scope.","ref":"Teac.Api.Chat.Announcements.html#post/1-authorization"},{"type":"module","title":"Teac.Api.Chat.Badges","doc":"","ref":"Teac.Api.Chat.Badges.html"},{"type":"function","title":"Teac.Api.Chat.Badges.get/1","doc":"Gets the broadcaster’s list of custom chat badges. The list is empty if the broadcaster hasn’t created custom chat badges.\n  For information about custom badges, see subscriber badges and Bits badges.\n\n  source docs: https://dev.twitch.tv/docs/api/reference/#get-channel-chat-badges","ref":"Teac.Api.Chat.Badges.html#get/1"},{"type":"function","title":"Authorization - Teac.Api.Chat.Badges.get/1","doc":"Requires an app access token or user access token.","ref":"Teac.Api.Chat.Badges.html#get/1-authorization"},{"type":"module","title":"Teac.Api.Chat.Badges.Global","doc":"","ref":"Teac.Api.Chat.Badges.Global.html"},{"type":"function","title":"Teac.Api.Chat.Badges.Global.get/1","doc":"Gets Twitch’s list of chat badges, which users may use in any channel’s chat room.\nFor information about chat badges, see Twitch Chat Badges Guide.\n\nsource docs: https://dev.twitch.tv/docs/api/reference/#get-global-chat-badges","ref":"Teac.Api.Chat.Badges.Global.html#get/1"},{"type":"function","title":"Authorization - Teac.Api.Chat.Badges.Global.get/1","doc":"Requires an app access token or user access token.","ref":"Teac.Api.Chat.Badges.Global.html#get/1-authorization"},{"type":"module","title":"Teac.Api.Chat.Chatters","doc":"","ref":"Teac.Api.Chat.Chatters.html"},{"type":"function","title":"Teac.Api.Chat.Chatters.get/1","doc":"","ref":"Teac.Api.Chat.Chatters.html#get/1"},{"type":"module","title":"Teac.Api.Chat.Color","doc":"","ref":"Teac.Api.Chat.Color.html"},{"type":"function","title":"Teac.Api.Chat.Color.get/1","doc":"","ref":"Teac.Api.Chat.Color.html#get/1"},{"type":"function","title":"Teac.Api.Chat.Color.put/1","doc":"","ref":"Teac.Api.Chat.Color.html#put/1"},{"type":"module","title":"Teac.Api.Chat.Emotes","doc":"","ref":"Teac.Api.Chat.Emotes.html"},{"type":"function","title":"Teac.Api.Chat.Emotes.get/1","doc":"","ref":"Teac.Api.Chat.Emotes.html#get/1"},{"type":"module","title":"Teac.Api.Chat.Emotes.Global","doc":"","ref":"Teac.Api.Chat.Emotes.Global.html"},{"type":"function","title":"Teac.Api.Chat.Emotes.Global.get/1","doc":"","ref":"Teac.Api.Chat.Emotes.Global.html#get/1"},{"type":"module","title":"Teac.Api.Chat.Emotes.Set","doc":"","ref":"Teac.Api.Chat.Emotes.Set.html"},{"type":"function","title":"Teac.Api.Chat.Emotes.Set.get/1","doc":"","ref":"Teac.Api.Chat.Emotes.Set.html#get/1"},{"type":"module","title":"Teac.Api.Chat.Emotes.User","doc":"","ref":"Teac.Api.Chat.Emotes.User.html"},{"type":"function","title":"Teac.Api.Chat.Emotes.User.get/1","doc":"","ref":"Teac.Api.Chat.Emotes.User.html#get/1"},{"type":"module","title":"Teac.Api.Chat.Messages","doc":"","ref":"Teac.Api.Chat.Messages.html"},{"type":"function","title":"Teac.Api.Chat.Messages.post/1","doc":"","ref":"Teac.Api.Chat.Messages.html#post/1"},{"type":"module","title":"Teac.Api.Chat.Settings","doc":"","ref":"Teac.Api.Chat.Settings.html"},{"type":"function","title":"Teac.Api.Chat.Settings.get/1","doc":"","ref":"Teac.Api.Chat.Settings.html#get/1"},{"type":"function","title":"Teac.Api.Chat.Settings.patch/1","doc":"","ref":"Teac.Api.Chat.Settings.html#patch/1"},{"type":"module","title":"Teac.Api.Chat.Shoutouts","doc":"","ref":"Teac.Api.Chat.Shoutouts.html"},{"type":"function","title":"Teac.Api.Chat.Shoutouts.post/1","doc":"","ref":"Teac.Api.Chat.Shoutouts.html#post/1"},{"type":"module","title":"Teac.Api.Clips","doc":"","ref":"Teac.Api.Clips.html"},{"type":"function","title":"Teac.Api.Clips.get/1","doc":"","ref":"Teac.Api.Clips.html#get/1"},{"type":"function","title":"Teac.Api.Clips.post/1","doc":"","ref":"Teac.Api.Clips.html#post/1"},{"type":"module","title":"Teac.Api.ContentClassificationLabels","doc":"","ref":"Teac.Api.ContentClassificationLabels.html"},{"type":"function","title":"Teac.Api.ContentClassificationLabels.get/1","doc":"","ref":"Teac.Api.ContentClassificationLabels.html#get/1"},{"type":"module","title":"Teac.Api.Entitlements.Drops","doc":"","ref":"Teac.Api.Entitlements.Drops.html"},{"type":"function","title":"Teac.Api.Entitlements.Drops.get/1","doc":"","ref":"Teac.Api.Entitlements.Drops.html#get/1"},{"type":"function","title":"Teac.Api.Entitlements.Drops.patch/1","doc":"","ref":"Teac.Api.Entitlements.Drops.html#patch/1"},{"type":"module","title":"Teac.Api.EventSub.Conduits","doc":"","ref":"Teac.Api.EventSub.Conduits.html"},{"type":"function","title":"Teac.Api.EventSub.Conduits.delete/1","doc":"","ref":"Teac.Api.EventSub.Conduits.html#delete/1"},{"type":"function","title":"Teac.Api.EventSub.Conduits.get/1","doc":"","ref":"Teac.Api.EventSub.Conduits.html#get/1"},{"type":"function","title":"Teac.Api.EventSub.Conduits.patch/1","doc":"","ref":"Teac.Api.EventSub.Conduits.html#patch/1"},{"type":"function","title":"Teac.Api.EventSub.Conduits.post/1","doc":"","ref":"Teac.Api.EventSub.Conduits.html#post/1"},{"type":"module","title":"Teac.Api.EventSub.Conduits.Shards","doc":"","ref":"Teac.Api.EventSub.Conduits.Shards.html"},{"type":"function","title":"Teac.Api.EventSub.Conduits.Shards.get/1","doc":"","ref":"Teac.Api.EventSub.Conduits.Shards.html#get/1"},{"type":"function","title":"Teac.Api.EventSub.Conduits.Shards.patch/1","doc":"","ref":"Teac.Api.EventSub.Conduits.Shards.html#patch/1"},{"type":"module","title":"Teac.Api.EventSub.Subscriptions","doc":"","ref":"Teac.Api.EventSub.Subscriptions.html"},{"type":"function","title":"Teac.Api.EventSub.Subscriptions.delete/1","doc":"","ref":"Teac.Api.EventSub.Subscriptions.html#delete/1"},{"type":"function","title":"Teac.Api.EventSub.Subscriptions.get/1","doc":"","ref":"Teac.Api.EventSub.Subscriptions.html#get/1"},{"type":"function","title":"Teac.Api.EventSub.Subscriptions.post/1","doc":"","ref":"Teac.Api.EventSub.Subscriptions.html#post/1"},{"type":"module","title":"Teac.Api.Extensions","doc":"","ref":"Teac.Api.Extensions.html"},{"type":"function","title":"Teac.Api.Extensions.get/1","doc":"","ref":"Teac.Api.Extensions.html#get/1"},{"type":"module","title":"Teac.Api.Extensions.Chat","doc":"","ref":"Teac.Api.Extensions.Chat.html"},{"type":"function","title":"Teac.Api.Extensions.Chat.post/1","doc":"","ref":"Teac.Api.Extensions.Chat.html#post/1"},{"type":"module","title":"Teac.Api.Extensions.Configurations","doc":"","ref":"Teac.Api.Extensions.Configurations.html"},{"type":"function","title":"Teac.Api.Extensions.Configurations.get/1","doc":"","ref":"Teac.Api.Extensions.Configurations.html#get/1"},{"type":"function","title":"Teac.Api.Extensions.Configurations.put/1","doc":"","ref":"Teac.Api.Extensions.Configurations.html#put/1"},{"type":"module","title":"Teac.Api.Extensions.Jwt.Secrets","doc":"","ref":"Teac.Api.Extensions.Jwt.Secrets.html"},{"type":"function","title":"Teac.Api.Extensions.Jwt.Secrets.get/1","doc":"","ref":"Teac.Api.Extensions.Jwt.Secrets.html#get/1"},{"type":"module","title":"Teac.Api.Extensions.Live","doc":"","ref":"Teac.Api.Extensions.Live.html"},{"type":"function","title":"Teac.Api.Extensions.Live.get/1","doc":"","ref":"Teac.Api.Extensions.Live.html#get/1"},{"type":"module","title":"Teac.Api.Extensions.PubSub","doc":"","ref":"Teac.Api.Extensions.PubSub.html"},{"type":"function","title":"Teac.Api.Extensions.PubSub.post/1","doc":"","ref":"Teac.Api.Extensions.PubSub.html#post/1"},{"type":"module","title":"Teac.Api.Extensions.Released","doc":"","ref":"Teac.Api.Extensions.Released.html"},{"type":"function","title":"Teac.Api.Extensions.Released.get/1","doc":"","ref":"Teac.Api.Extensions.Released.html#get/1"},{"type":"module","title":"Teac.Api.Extensions.RequiredConfiguration","doc":"","ref":"Teac.Api.Extensions.RequiredConfiguration.html"},{"type":"function","title":"Teac.Api.Extensions.RequiredConfiguration.put/1","doc":"","ref":"Teac.Api.Extensions.RequiredConfiguration.html#put/1"},{"type":"module","title":"Teac.Api.Extensions.Transactions","doc":"","ref":"Teac.Api.Extensions.Transactions.html"},{"type":"function","title":"Teac.Api.Extensions.Transactions.get/1","doc":"","ref":"Teac.Api.Extensions.Transactions.html#get/1"},{"type":"module","title":"Teac.Api.Games","doc":"","ref":"Teac.Api.Games.html"},{"type":"function","title":"Teac.Api.Games.get/1","doc":"","ref":"Teac.Api.Games.html#get/1"},{"type":"module","title":"Teac.Api.Games.Top","doc":"","ref":"Teac.Api.Games.Top.html"},{"type":"function","title":"Teac.Api.Games.Top.get/1","doc":"","ref":"Teac.Api.Games.Top.html#get/1"},{"type":"module","title":"Teac.Api.Goals","doc":"","ref":"Teac.Api.Goals.html"},{"type":"function","title":"Teac.Api.Goals.get/1","doc":"","ref":"Teac.Api.Goals.html#get/1"},{"type":"module","title":"Teac.Api.GuestStar.ChannelSettings","doc":"","ref":"Teac.Api.GuestStar.ChannelSettings.html"},{"type":"function","title":"Teac.Api.GuestStar.ChannelSettings.get/1","doc":"","ref":"Teac.Api.GuestStar.ChannelSettings.html#get/1"},{"type":"function","title":"Teac.Api.GuestStar.ChannelSettings.put/1","doc":"","ref":"Teac.Api.GuestStar.ChannelSettings.html#put/1"},{"type":"module","title":"Teac.Api.GuestStar.Invites","doc":"","ref":"Teac.Api.GuestStar.Invites.html"},{"type":"function","title":"Teac.Api.GuestStar.Invites.delete/1","doc":"","ref":"Teac.Api.GuestStar.Invites.html#delete/1"},{"type":"function","title":"Teac.Api.GuestStar.Invites.get/1","doc":"","ref":"Teac.Api.GuestStar.Invites.html#get/1"},{"type":"function","title":"Teac.Api.GuestStar.Invites.post/1","doc":"","ref":"Teac.Api.GuestStar.Invites.html#post/1"},{"type":"module","title":"Teac.Api.GuestStar.Session","doc":"","ref":"Teac.Api.GuestStar.Session.html"},{"type":"function","title":"Teac.Api.GuestStar.Session.delete/1","doc":"","ref":"Teac.Api.GuestStar.Session.html#delete/1"},{"type":"function","title":"Teac.Api.GuestStar.Session.get/1","doc":"","ref":"Teac.Api.GuestStar.Session.html#get/1"},{"type":"function","title":"Teac.Api.GuestStar.Session.post/1","doc":"","ref":"Teac.Api.GuestStar.Session.html#post/1"},{"type":"module","title":"Teac.Api.GuestStar.Slot","doc":"","ref":"Teac.Api.GuestStar.Slot.html"},{"type":"function","title":"Teac.Api.GuestStar.Slot.delete/1","doc":"","ref":"Teac.Api.GuestStar.Slot.html#delete/1"},{"type":"function","title":"Teac.Api.GuestStar.Slot.patch/1","doc":"","ref":"Teac.Api.GuestStar.Slot.html#patch/1"},{"type":"function","title":"Teac.Api.GuestStar.Slot.post/1","doc":"","ref":"Teac.Api.GuestStar.Slot.html#post/1"},{"type":"module","title":"Teac.Api.GuestStar.SlotSettings","doc":"","ref":"Teac.Api.GuestStar.SlotSettings.html"},{"type":"function","title":"Teac.Api.GuestStar.SlotSettings.patch/1","doc":"","ref":"Teac.Api.GuestStar.SlotSettings.html#patch/1"},{"type":"module","title":"Teac.Api.Hypetrain","doc":"","ref":"Teac.Api.Hypetrain.html"},{"type":"function","title":"Teac.Api.Hypetrain.get/1","doc":"","ref":"Teac.Api.Hypetrain.html#get/1"},{"type":"module","title":"Teac.Api.Moderation.Automod.Settings","doc":"","ref":"Teac.Api.Moderation.Automod.Settings.html"},{"type":"function","title":"Teac.Api.Moderation.Automod.Settings.get/1","doc":"","ref":"Teac.Api.Moderation.Automod.Settings.html#get/1"},{"type":"function","title":"Teac.Api.Moderation.Automod.Settings.put/1","doc":"","ref":"Teac.Api.Moderation.Automod.Settings.html#put/1"},{"type":"module","title":"Teac.Api.Moderation.Banned","doc":"","ref":"Teac.Api.Moderation.Banned.html"},{"type":"function","title":"Teac.Api.Moderation.Banned.get/1","doc":"","ref":"Teac.Api.Moderation.Banned.html#get/1"},{"type":"module","title":"Teac.Api.Moderation.Bans","doc":"","ref":"Teac.Api.Moderation.Bans.html"},{"type":"function","title":"Teac.Api.Moderation.Bans.delete/1","doc":"","ref":"Teac.Api.Moderation.Bans.html#delete/1"},{"type":"function","title":"Teac.Api.Moderation.Bans.post/1","doc":"","ref":"Teac.Api.Moderation.Bans.html#post/1"},{"type":"module","title":"Teac.Api.Moderation.BlockedTerms","doc":"","ref":"Teac.Api.Moderation.BlockedTerms.html"},{"type":"function","title":"Teac.Api.Moderation.BlockedTerms.delete/1","doc":"","ref":"Teac.Api.Moderation.BlockedTerms.html#delete/1"},{"type":"function","title":"Teac.Api.Moderation.BlockedTerms.get/1","doc":"","ref":"Teac.Api.Moderation.BlockedTerms.html#get/1"},{"type":"function","title":"Teac.Api.Moderation.BlockedTerms.post/1","doc":"","ref":"Teac.Api.Moderation.BlockedTerms.html#post/1"},{"type":"module","title":"Teac.Api.Moderation.Channels","doc":"","ref":"Teac.Api.Moderation.Channels.html"},{"type":"function","title":"Teac.Api.Moderation.Channels.get/1","doc":"","ref":"Teac.Api.Moderation.Channels.html#get/1"},{"type":"module","title":"Teac.Api.Moderation.Chat","doc":"","ref":"Teac.Api.Moderation.Chat.html"},{"type":"function","title":"Teac.Api.Moderation.Chat.delete/1","doc":"","ref":"Teac.Api.Moderation.Chat.html#delete/1"},{"type":"module","title":"Teac.Api.Moderation.Enforcements.Status","doc":"","ref":"Teac.Api.Moderation.Enforcements.Status.html"},{"type":"function","title":"Teac.Api.Moderation.Enforcements.Status.post/1","doc":"","ref":"Teac.Api.Moderation.Enforcements.Status.html#post/1"},{"type":"module","title":"Teac.Api.Moderation.Moderators","doc":"","ref":"Teac.Api.Moderation.Moderators.html"},{"type":"function","title":"Teac.Api.Moderation.Moderators.delete/1","doc":"","ref":"Teac.Api.Moderation.Moderators.html#delete/1"},{"type":"function","title":"Teac.Api.Moderation.Moderators.get/1","doc":"","ref":"Teac.Api.Moderation.Moderators.html#get/1"},{"type":"function","title":"Teac.Api.Moderation.Moderators.post/1","doc":"","ref":"Teac.Api.Moderation.Moderators.html#post/1"},{"type":"module","title":"Teac.Api.Moderation.ShieldMode","doc":"","ref":"Teac.Api.Moderation.ShieldMode.html"},{"type":"function","title":"Teac.Api.Moderation.ShieldMode.get/1","doc":"","ref":"Teac.Api.Moderation.ShieldMode.html#get/1"},{"type":"function","title":"Teac.Api.Moderation.ShieldMode.put/1","doc":"","ref":"Teac.Api.Moderation.ShieldMode.html#put/1"},{"type":"module","title":"Teac.Api.Moderation.UnbanRequests","doc":"","ref":"Teac.Api.Moderation.UnbanRequests.html"},{"type":"function","title":"Teac.Api.Moderation.UnbanRequests.get/1","doc":"","ref":"Teac.Api.Moderation.UnbanRequests.html#get/1"},{"type":"function","title":"Teac.Api.Moderation.UnbanRequests.patch/1","doc":"","ref":"Teac.Api.Moderation.UnbanRequests.html#patch/1"},{"type":"module","title":"Teac.Api.Moderation.Warnings","doc":"","ref":"Teac.Api.Moderation.Warnings.html"},{"type":"function","title":"Teac.Api.Moderation.Warnings.post/1","doc":"","ref":"Teac.Api.Moderation.Warnings.html#post/1"},{"type":"module","title":"Teac.Api.Polls","doc":"","ref":"Teac.Api.Polls.html"},{"type":"function","title":"Teac.Api.Polls.get/1","doc":"","ref":"Teac.Api.Polls.html#get/1"},{"type":"function","title":"Teac.Api.Polls.patch/1","doc":"","ref":"Teac.Api.Polls.html#patch/1"},{"type":"function","title":"Teac.Api.Polls.post/1","doc":"","ref":"Teac.Api.Polls.html#post/1"},{"type":"module","title":"Teac.Api.Predictions","doc":"","ref":"Teac.Api.Predictions.html"},{"type":"function","title":"Teac.Api.Predictions.get/1","doc":"","ref":"Teac.Api.Predictions.html#get/1"},{"type":"function","title":"Teac.Api.Predictions.patch/1","doc":"","ref":"Teac.Api.Predictions.html#patch/1"},{"type":"function","title":"Teac.Api.Predictions.post/1","doc":"","ref":"Teac.Api.Predictions.html#post/1"},{"type":"module","title":"Teac.Api.Raids","doc":"","ref":"Teac.Api.Raids.html"},{"type":"function","title":"Teac.Api.Raids.delete/1","doc":"","ref":"Teac.Api.Raids.html#delete/1"},{"type":"function","title":"Teac.Api.Raids.post/1","doc":"","ref":"Teac.Api.Raids.html#post/1"},{"type":"module","title":"Teac.Api.Schedule","doc":"","ref":"Teac.Api.Schedule.html"},{"type":"function","title":"Teac.Api.Schedule.delete/1","doc":"","ref":"Teac.Api.Schedule.html#delete/1"},{"type":"function","title":"Teac.Api.Schedule.get/1","doc":"","ref":"Teac.Api.Schedule.html#get/1"},{"type":"module","title":"Teac.Api.Schedule.ICalendar","doc":"","ref":"Teac.Api.Schedule.ICalendar.html"},{"type":"function","title":"Teac.Api.Schedule.ICalendar.get/1","doc":"","ref":"Teac.Api.Schedule.ICalendar.html#get/1"},{"type":"module","title":"Teac.Api.Schedule.Segment","doc":"","ref":"Teac.Api.Schedule.Segment.html"},{"type":"function","title":"Teac.Api.Schedule.Segment.patch/1","doc":"","ref":"Teac.Api.Schedule.Segment.html#patch/1"},{"type":"function","title":"Teac.Api.Schedule.Segment.post/1","doc":"","ref":"Teac.Api.Schedule.Segment.html#post/1"},{"type":"module","title":"Teac.Api.Schedule.Settings","doc":"","ref":"Teac.Api.Schedule.Settings.html"},{"type":"function","title":"Teac.Api.Schedule.Settings.patch/1","doc":"","ref":"Teac.Api.Schedule.Settings.html#patch/1"},{"type":"module","title":"Teac.Api.Search.Categories","doc":"","ref":"Teac.Api.Search.Categories.html"},{"type":"function","title":"Teac.Api.Search.Categories.get/1","doc":"","ref":"Teac.Api.Search.Categories.html#get/1"},{"type":"module","title":"Teac.Api.Search.Channels","doc":"","ref":"Teac.Api.Search.Channels.html"},{"type":"function","title":"Teac.Api.Search.Channels.get/1","doc":"","ref":"Teac.Api.Search.Channels.html#get/1"},{"type":"module","title":"Teac.Api.SharedChat","doc":"","ref":"Teac.Api.SharedChat.html"},{"type":"function","title":"Teac.Api.SharedChat.get/1","doc":"","ref":"Teac.Api.SharedChat.html#get/1"},{"type":"module","title":"Teac.Api.Streams","doc":"","ref":"Teac.Api.Streams.html"},{"type":"function","title":"Teac.Api.Streams.get/1","doc":"","ref":"Teac.Api.Streams.html#get/1"},{"type":"module","title":"Teac.Api.Streams.Followed","doc":"","ref":"Teac.Api.Streams.Followed.html"},{"type":"function","title":"Teac.Api.Streams.Followed.get/1","doc":"","ref":"Teac.Api.Streams.Followed.html#get/1"},{"type":"module","title":"Teac.Api.Streams.Key","doc":"","ref":"Teac.Api.Streams.Key.html"},{"type":"function","title":"Teac.Api.Streams.Key.get/1","doc":"","ref":"Teac.Api.Streams.Key.html#get/1"},{"type":"module","title":"Teac.Api.Streams.Markers","doc":"","ref":"Teac.Api.Streams.Markers.html"},{"type":"function","title":"Teac.Api.Streams.Markers.get/1","doc":"","ref":"Teac.Api.Streams.Markers.html#get/1"},{"type":"function","title":"Teac.Api.Streams.Markers.post/1","doc":"","ref":"Teac.Api.Streams.Markers.html#post/1"},{"type":"module","title":"Teac.Api.Subscriptions","doc":"","ref":"Teac.Api.Subscriptions.html"},{"type":"function","title":"Teac.Api.Subscriptions.get/1","doc":"","ref":"Teac.Api.Subscriptions.html#get/1"},{"type":"module","title":"Teac.Api.Subscriptions.Users","doc":"","ref":"Teac.Api.Subscriptions.Users.html"},{"type":"function","title":"Teac.Api.Subscriptions.Users.get/1","doc":"","ref":"Teac.Api.Subscriptions.Users.html#get/1"},{"type":"module","title":"Teac.Api.Teams","doc":"","ref":"Teac.Api.Teams.html"},{"type":"function","title":"Teac.Api.Teams.get/1","doc":"","ref":"Teac.Api.Teams.html#get/1"},{"type":"module","title":"Teac.Api.Teams.Channel","doc":"","ref":"Teac.Api.Teams.Channel.html"},{"type":"function","title":"Teac.Api.Teams.Channel.get/1","doc":"","ref":"Teac.Api.Teams.Channel.html#get/1"},{"type":"module","title":"Teac.Api.Users","doc":"","ref":"Teac.Api.Users.html"},{"type":"function","title":"Teac.Api.Users.get/1","doc":"Gets information about one or more users.\n\ndoc source: https://dev.twitch.tv/docs/api/reference/#get-users\n\nYou may look up users using their user ID, login name, or both but the sum total of the number of users you may look up is 100.\nFor example, you may specify 50 IDs and 50 names or 100 IDs or names, but you cannot specify 100 IDs and 100 names.\nIf you don’t specify IDs or login names, the request returns information about the user in the access token if you specify a user access token.","ref":"Teac.Api.Users.html#get/1"},{"type":"function","title":"Scope: Teac.Scopes.User.read_email/0 - Teac.Api.Users.get/1","doc":"To include the user’s verified email address in the response, you must use a user access token that includes the user:read:email scope.","ref":"Teac.Api.Users.html#get/1-scope-teac-scopes-user-read_email-0"},{"type":"function","title":"Authorization - Teac.Api.Users.get/1","doc":"Requires an app access token or user access token.","ref":"Teac.Api.Users.html#get/1-authorization"},{"type":"function","title":"Teac.Api.Users.put/1","doc":"Update User\n\nsource docs: https://dev.twitch.tv/docs/api/reference/#update-user\n\nUpdates the specified user’s information. The user ID in the OAuth token identifies the user whose information you want to update.\nTo include the user’s verified email address in the response, the user access token must also include the user:read:email scope.","ref":"Teac.Api.Users.html#put/1"},{"type":"function","title":"Authorization - Teac.Api.Users.put/1","doc":"Requires a user access token that includes the user:edit scope.","ref":"Teac.Api.Users.html#put/1-authorization"},{"type":"module","title":"Teac.Api.Users.Blocks","doc":"","ref":"Teac.Api.Users.Blocks.html"},{"type":"function","title":"Teac.Api.Users.Blocks.delete/1","doc":"","ref":"Teac.Api.Users.Blocks.html#delete/1"},{"type":"function","title":"Teac.Api.Users.Blocks.get/1","doc":"","ref":"Teac.Api.Users.Blocks.html#get/1"},{"type":"function","title":"Teac.Api.Users.Blocks.put/1","doc":"","ref":"Teac.Api.Users.Blocks.html#put/1"},{"type":"module","title":"Teac.Api.Users.Extensions","doc":"","ref":"Teac.Api.Users.Extensions.html"},{"type":"function","title":"Teac.Api.Users.Extensions.get/1","doc":"","ref":"Teac.Api.Users.Extensions.html#get/1"},{"type":"function","title":"Teac.Api.Users.Extensions.put/1","doc":"","ref":"Teac.Api.Users.Extensions.html#put/1"},{"type":"module","title":"Teac.Api.Users.Extensions.List","doc":"","ref":"Teac.Api.Users.Extensions.List.html"},{"type":"function","title":"Teac.Api.Users.Extensions.List.get/1","doc":"","ref":"Teac.Api.Users.Extensions.List.html#get/1"},{"type":"module","title":"Teac.Api.Videos","doc":"","ref":"Teac.Api.Videos.html"},{"type":"function","title":"Teac.Api.Videos.delete/1","doc":"","ref":"Teac.Api.Videos.html#delete/1"},{"type":"function","title":"Teac.Api.Videos.get/1","doc":"","ref":"Teac.Api.Videos.html#get/1"},{"type":"module","title":"Teac.Api.Whipsers","doc":"","ref":"Teac.Api.Whipsers.html"},{"type":"function","title":"Teac.Api.Whipsers.post/1","doc":"","ref":"Teac.Api.Whipsers.html#post/1"},{"type":"module","title":"Teac.Mock.Api","doc":"This module is used for all the /unit enpoints on the mock server","ref":"Teac.Mock.Api.html"},{"type":"function","title":"Teac.Mock.Api.categories/0","doc":"","ref":"Teac.Mock.Api.html#categories/0"},{"type":"function","title":"Teac.Mock.Api.clients/0","doc":"","ref":"Teac.Mock.Api.html#clients/0"},{"type":"function","title":"Teac.Mock.Api.streams/0","doc":"","ref":"Teac.Mock.Api.html#streams/0"},{"type":"function","title":"Teac.Mock.Api.subscriptions/0","doc":"","ref":"Teac.Mock.Api.html#subscriptions/0"},{"type":"function","title":"Teac.Mock.Api.tags/0","doc":"","ref":"Teac.Mock.Api.html#tags/0"},{"type":"function","title":"Teac.Mock.Api.teams/0","doc":"","ref":"Teac.Mock.Api.html#teams/0"},{"type":"function","title":"Teac.Mock.Api.users/0","doc":"","ref":"Teac.Mock.Api.html#users/0"},{"type":"function","title":"Teac.Mock.Api.videos/0","doc":"","ref":"Teac.Mock.Api.html#videos/0"},{"type":"module","title":"Teac.Mock.Auth","doc":"This module is used when using the twitch cli mock server.\nThe flow for getting a user token / app token is diffrent enough\nit required its own module.\n\nhttps://dev.twitch.tv/docs/cli/mock-api-command/#getting-an-access-token","ref":"Teac.Mock.Auth.html"},{"type":"function","title":"Teac.Mock.Auth.fetch_app_access_token/1","doc":"","ref":"Teac.Mock.Auth.html#fetch_app_access_token/1"},{"type":"function","title":"Teac.Mock.Auth.fetch_user_access_token/1","doc":"","ref":"Teac.Mock.Auth.html#fetch_user_access_token/1"},{"type":"module","title":"Teac.OAuth.AuthorizationCodeFlow","doc":"Twitch OAuth client for user token via the code grant flow.","ref":"Teac.OAuth.AuthorizationCodeFlow.html"},{"type":"function","title":"Teac.OAuth.AuthorizationCodeFlow.authorize_url/1","doc":"","ref":"Teac.OAuth.AuthorizationCodeFlow.html#authorize_url/1"},{"type":"function","title":"Teac.OAuth.AuthorizationCodeFlow.exchange_code_for_token/1","doc":"","ref":"Teac.OAuth.AuthorizationCodeFlow.html#exchange_code_for_token/1"},{"type":"function","title":"Teac.OAuth.AuthorizationCodeFlow.get_token/1","doc":"","ref":"Teac.OAuth.AuthorizationCodeFlow.html#get_token/1"},{"type":"module","title":"Teac.OAuth.ClientCredentialFlow","doc":"","ref":"Teac.OAuth.ClientCredentialFlow.html"},{"type":"function","title":"Teac.OAuth.ClientCredentialFlow.token/1","doc":"Client credentials grant flow\nThe client credentials grant flow is meant only for server-to-server\nAPI requests that use an app access token.\n\n[Api Doc link](https://dev.twitch.tv/docs/authentication/getting-tokens-oauth/#client-credentials-grant-flow)","ref":"Teac.OAuth.ClientCredentialFlow.html#token/1"},{"type":"module","title":"Teac.Oauth.ClientCredentialManager","doc":"","ref":"Teac.Oauth.ClientCredentialManager.html"},{"type":"function","title":"Teac.Oauth.ClientCredentialManager.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"Teac.Oauth.ClientCredentialManager.html#child_spec/1"},{"type":"function","title":"Teac.Oauth.ClientCredentialManager.get_token/0","doc":"","ref":"Teac.Oauth.ClientCredentialManager.html#get_token/0"},{"type":"function","title":"Teac.Oauth.ClientCredentialManager.start_link/1","doc":"","ref":"Teac.Oauth.ClientCredentialManager.html#start_link/1"},{"type":"module","title":"Teac.Scopes","doc":"Twitch Auth Scopes","ref":"Teac.Scopes.html"},{"type":"function","title":"Teac.Scopes.all/0","doc":"Get all scopes","ref":"Teac.Scopes.html#all/0"},{"type":"function","title":"Teac.Scopes.all_keys/0","doc":"Get all scope atoms","ref":"Teac.Scopes.html#all_keys/0"},{"type":"function","title":"Teac.Scopes.all_values/0","doc":"Get all scope values","ref":"Teac.Scopes.html#all_values/0"},{"type":"function","title":"Teac.Scopes.get/1","doc":"Get scope string by atom key. Example:\n\n    TwitchAuth.Scopes.get(:user_read_email)\n    iex> \"user:read:email\"","ref":"Teac.Scopes.html#get/1"},{"type":"module","title":"Teac.Scopes.Analytics","doc":"Analytics related scopes","ref":"Teac.Scopes.Analytics.html"},{"type":"function","title":"Teac.Scopes.Analytics.all/0","doc":"Returns the entire map of scope atoms to scope strings.","ref":"Teac.Scopes.Analytics.html#all/0"},{"type":"function","title":"Teac.Scopes.Analytics.all_keys/0","doc":"Returns a list of all valid scope atoms.","ref":"Teac.Scopes.Analytics.html#all_keys/0"},{"type":"function","title":"Teac.Scopes.Analytics.all_values/0","doc":"Returns a list of all valid scope strings.","ref":"Teac.Scopes.Analytics.html#all_values/0"},{"type":"function","title":"Teac.Scopes.Analytics.get/1","doc":"Retrieves the scope string corresponding to the given atom key.","ref":"Teac.Scopes.Analytics.html#get/1"},{"type":"function","title":"Examples - Teac.Scopes.Analytics.get/1","doc":"iex> YourModule.get(:example_key)\n    \"example:scope\"","ref":"Teac.Scopes.Analytics.html#get/1-examples"},{"type":"function","title":"Teac.Scopes.Analytics.read_extension/0","doc":"View analytics data for the Twitch Extensions owned by the authenticated account.\n\nAPI:\n  - [Get Extension Analytics:](https://dev.twitch.tv/docs/api/reference#get-extension-analytics)","ref":"Teac.Scopes.Analytics.html#read_extension/0"},{"type":"function","title":"Teac.Scopes.Analytics.read_games/0","doc":"View analytics data for the games owned by the authenticated account.\n\nAPI:\n  - Get Game Analytics: https://dev.twitch.tv/docs/api/reference#get-game-analytics","ref":"Teac.Scopes.Analytics.html#read_games/0"},{"type":"module","title":"Teac.Scopes.Bits","doc":"Bits and cheering related scopes","ref":"Teac.Scopes.Bits.html"},{"type":"function","title":"Teac.Scopes.Bits.all/0","doc":"Returns the entire map of scope atoms to scope strings.","ref":"Teac.Scopes.Bits.html#all/0"},{"type":"function","title":"Teac.Scopes.Bits.all_keys/0","doc":"Returns a list of all valid scope atoms.","ref":"Teac.Scopes.Bits.html#all_keys/0"},{"type":"function","title":"Teac.Scopes.Bits.all_values/0","doc":"Returns a list of all valid scope strings.","ref":"Teac.Scopes.Bits.html#all_values/0"},{"type":"function","title":"Teac.Scopes.Bits.get/1","doc":"Retrieves the scope string corresponding to the given atom key.","ref":"Teac.Scopes.Bits.html#get/1"},{"type":"function","title":"Examples - Teac.Scopes.Bits.get/1","doc":"iex> YourModule.get(:example_key)\n    \"example:scope\"","ref":"Teac.Scopes.Bits.html#get/1-examples"},{"type":"function","title":"Teac.Scopes.Bits.read/0","doc":"View Bits information for a channel.\n\nAPI:\n  - Get Bits Leaderboard: https://dev.twitch.tv/docs/api/reference#get-bits-leaderboard\n\nEventSub:\n  - Channel Bits Use: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelbitsuse\n  - Channel Cheer: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelcheer","ref":"Teac.Scopes.Bits.html#read/0"},{"type":"module","title":"Teac.Scopes.Channel","doc":"Channel management scopes","ref":"Teac.Scopes.Channel.html"},{"type":"function","title":"Teac.Scopes.Channel.all/0","doc":"Returns the entire map of scope atoms to scope strings.","ref":"Teac.Scopes.Channel.html#all/0"},{"type":"function","title":"Teac.Scopes.Channel.all_keys/0","doc":"Returns a list of all valid scope atoms.","ref":"Teac.Scopes.Channel.html#all_keys/0"},{"type":"function","title":"Teac.Scopes.Channel.all_values/0","doc":"Returns a list of all valid scope strings.","ref":"Teac.Scopes.Channel.html#all_values/0"},{"type":"function","title":"Teac.Scopes.Channel.bot/0","doc":"Joins your channel’s chatroom as a bot user, and perform chat-related actions as that user.\n\nAPI:\n- Send Chat Message: https://dev.twitch.tv/docs/api/reference/#send-chat-message\n\nEventSub:\n- Channel Chat Clear: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelchatclear\n- Channel Chat Clear User Messages: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelchatclear_user_messages\n- Channel Chat Message: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelchatmessage\n- Channel Chat Message Delete: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelchatmessage_delete\n- Channel Chat Notification: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelchatnotification\n- Channel Chat Settings Update: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelchat_settingsupdate","ref":"Teac.Scopes.Channel.html#bot/0"},{"type":"function","title":"Teac.Scopes.Channel.edit_commercial/0","doc":"Run commercials on a channel.\n\nAPI\n- Start Commercial: https://dev.twitch.tv/docs/api/reference#start-commercial","ref":"Teac.Scopes.Channel.html#edit_commercial/0"},{"type":"function","title":"Teac.Scopes.Channel.get/1","doc":"Retrieves the scope string corresponding to the given atom key.","ref":"Teac.Scopes.Channel.html#get/1"},{"type":"function","title":"Examples - Teac.Scopes.Channel.get/1","doc":"iex> YourModule.get(:example_key)\n    \"example:scope\"","ref":"Teac.Scopes.Channel.html#get/1-examples"},{"type":"function","title":"Teac.Scopes.Channel.manage_ads/0","doc":"Manage ads schedule on a channel.\n\nAPI:\n- Snooze Next Ad https://dev.twitch.tv/docs/api/reference#snooze-next-ad","ref":"Teac.Scopes.Channel.html#manage_ads/0"},{"type":"function","title":"Teac.Scopes.Channel.manage_broadcast/0","doc":"Manage a channel’s broadcast configuration, including updating channel configuration and managing stream markers and stream tags.\n\nAPI:\n- Modify Channel Information: https://dev.twitch.tv/docs/api/reference#modify-channel-information\n- Create Stream Marker: https://dev.twitch.tv/docs/api/reference#create-stream-marker\n- Replace Stream Tags: https://dev.twitch.tv/docs/api/reference#replace-stream-tags","ref":"Teac.Scopes.Channel.html#manage_broadcast/0"},{"type":"function","title":"Teac.Scopes.Channel.manage_extensions/0","doc":"Manage a channel’s Extension configuration, including activating Extensions.\n\nAPI:\n- Get User Active Extensions: https://dev.twitch.tv/docs/api/reference#get-user-active-extensions\n- Update User Extensions: https://dev.twitch.tv/docs/api/reference#update-user-extensions","ref":"Teac.Scopes.Channel.html#manage_extensions/0"},{"type":"function","title":"Teac.Scopes.Channel.manage_guest_star/0","doc":"Manage Guest Star for your channel.\n\nAPI:\n- Update Channel Guest Star Settings: https://dev.twitch.tv/docs/api/reference#update-channel-guest-star-settings\n- Create Guest Star Session: https://dev.twitch.tv/docs/api/reference#create-guest-star-session\n- End Guest Star Session: https://dev.twitch.tv/docs/api/reference#end-guest-star-session\n- Send Guest Star Invite: https://dev.twitch.tv/docs/api/reference#send-guest-star-invite\n- Delete Guest Star Invite: https://dev.twitch.tv/docs/api/reference#delete-guest-star-invite\n- Assign Guest Star Slot: https://dev.twitch.tv/docs/api/reference#assign-guest-star-slot\n- Update Guest Star Slot: https://dev.twitch.tv/docs/api/reference#update-guest-star-slot\n- Delete Guest Star Slot: https://dev.twitch.tv/docs/api/reference#delete-guest-star-slot\n- Update Guest Star Slot Settings: https://dev.twitch.tv/docs/api/reference#update-guest-star-slot-settings\n\nEventSub:\n- Channel Guest Star Session Begin: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelguest_star_sessionbegin\n- Channel Guest Star Session End: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelguest_star_sessionend\n- Channel Guest Star Guest Update: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelguest_star_guestupdate\n- Channel Guest Star Settings Update: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelguest_star_settingsupdate","ref":"Teac.Scopes.Channel.html#manage_guest_star/0"},{"type":"function","title":"Teac.Scopes.Channel.manage_moderators/0","doc":"Add or remove the moderator role from users in your channel.\n\nAPI:\n- Add Channel Moderator: https://dev.twitch.tv/docs/api/reference#add-channel-moderator\n- Remove Channel Moderator: https://dev.twitch.tv/docs/api/reference#remove-channel-moderator\n- Get Moderators: https://dev.twitch.tv/docs/api/reference/#get-moderators","ref":"Teac.Scopes.Channel.html#manage_moderators/0"},{"type":"function","title":"Teac.Scopes.Channel.manage_polls/0","doc":"Manage a channel’s polls.\n\nAPI:\n- Get Polls: https://dev.twitch.tv/docs/api/reference#get-polls\n- Create Poll: https://dev.twitch.tv/docs/api/reference#create-poll\n- End Poll: https://dev.twitch.tv/docs/api/reference#end-poll\n\nEventSub:\n- Channel Poll Begin: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelpollbegin\n- Channel Poll Progress: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelpollprogress\n- Channel Poll End: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelpollend","ref":"Teac.Scopes.Channel.html#manage_polls/0"},{"type":"function","title":"Teac.Scopes.Channel.manage_predictions/0","doc":"Manage of channel’s Channel Points Predictions\n\nAPI:\n- Get Channel Points Predictions: https://dev.twitch.tv/docs/api/reference#get-predictions\n- Create Channel Points Prediction: https://dev.twitch.tv/docs/api/reference#create-prediction\n- End Channel Points Prediction: https://dev.twitch.tv/docs/api/reference#end-prediction\n\nEventSub:\n- Channel Prediction Begin: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelpredictionbegin\n- Channel Prediction Progress: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelpredictionprogress\n- Channel Prediction Lock: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelpredictionlock\n- Channel Prediction End: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelpredictionend","ref":"Teac.Scopes.Channel.html#manage_predictions/0"},{"type":"function","title":"Teac.Scopes.Channel.manage_raids/0","doc":"Manage a channel raiding another channel.\n\nAPI:\n- Start a raid: https://dev.twitch.tv/docs/api/reference#start-a-raid\n- Cancel a raid: https://dev.twitch.tv/docs/api/reference#cancel-a-raid","ref":"Teac.Scopes.Channel.html#manage_raids/0"},{"type":"function","title":"Teac.Scopes.Channel.manage_redemptions/0","doc":"Manage Channel Points custom rewards and their redemptions on a channel.\n\nAPI:\n- Get Custom Reward: https://dev.twitch.tv/docs/api/reference#get-custom-reward\n- Get Custom Reward Redemption: https://dev.twitch.tv/docs/api/reference#get-custom-reward-redemption\n- Create Custom Rewards: https://dev.twitch.tv/docs/api/reference#create-custom-rewards\n- Delete Custom Reward: https://dev.twitch.tv/docs/api/reference#delete-custom-reward\n- Update Custom Reward: https://dev.twitch.tv/docs/api/reference#update-custom-reward\n- Update Redemption Status: https://dev.twitch.tv/docs/api/reference#update-redemption-status\n\nEventSub:\n- Channel Points Automatic Reward Redemption: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelchannel_points_automatic_reward_redemptionadd\n- Channel Points Custom Reward Add: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelchannel_points_custom_rewardadd\n- Channel Points Custom Reward Update: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelchannel_points_custom_rewardupdate\n- Channel Points Custom Reward Remove: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelchannel_points_custom_rewardremove\n- Channel Points Custom Reward Redemption Add: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelchannel_points_custom_reward_redemptionadd\n- Channel Points Custom Reward Redemption Update: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelchannel_points_custom_reward_redemptionupdate","ref":"Teac.Scopes.Channel.html#manage_redemptions/0"},{"type":"function","title":"Teac.Scopes.Channel.manage_schedule/0","doc":"Manage a channel’s stream schedule.\n\nAPI:\n- Update Channel Stream Schedule: https://dev.twitch.tv/docs/api/reference#update-channel-stream-schedule\n- Create Channel Stream Schedule Segment: https://dev.twitch.tv/docs/api/reference#create-channel-stream-schedule-segment\n- Update Channel Stream Schedule Segment: https://dev.twitch.tv/docs/api/reference#update-channel-stream-schedule-segment\n- Delete Channel Stream Schedule Segment: https://dev.twitch.tv/docs/api/reference#delete-channel-stream-schedule-segment","ref":"Teac.Scopes.Channel.html#manage_schedule/0"},{"type":"function","title":"Teac.Scopes.Channel.manage_videos/0","doc":"Manage a channel’s videos, including deleting videos.\n\nAPI:\n- Delete Videos: https://dev.twitch.tv/docs/api/reference#delete-videos","ref":"Teac.Scopes.Channel.html#manage_videos/0"},{"type":"function","title":"Teac.Scopes.Channel.manage_vip/0","doc":"Add or remove the VIP role from users in your channel.\n\nAPI:\n- Get VIPs: https://dev.twitch.tv/docs/api/reference#get-vips\n- Add Channel VIP: https://dev.twitch.tv/docs/api/reference#add-channel-vip\n- Remove Channel VIP: https://dev.twitch.tv/docs/api/reference#remove-channel-vip\n\nEventSub:\n- Channel VIP Add: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelvipadd\n- Channel VIP Remove: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelvipremove","ref":"Teac.Scopes.Channel.html#manage_vip/0"},{"type":"function","title":"Teac.Scopes.Channel.moderate/0","doc":"Perform moderation actions in a channel.\n\nEventSub:\n- Channel Ban: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelban\n- Channel Unban: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelunban","ref":"Teac.Scopes.Channel.html#moderate/0"},{"type":"function","title":"Teac.Scopes.Channel.read_ads/0","doc":"Read the ads schedule and details on your channel.\n\nAPI:\n- Get Ad Schedule: https://dev.twitch.tv/docs/api/reference#get-ad-schedule\n\nEventSub:\n- Channel Ad Break Begin: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelad_breakbegin","ref":"Teac.Scopes.Channel.html#read_ads/0"},{"type":"function","title":"Teac.Scopes.Channel.read_charity/0","doc":"Read charity campaign details and user donations on your channel.\n\nAPI:\n- Get Charity Campaign: https://dev.twitch.tv/docs/api/reference#get-charity-campaign\n- Get Charity Campaign Donations: https://dev.twitch.tv/docs/api/reference/#get-charity-campaign-donations\n\nEventSub\n- Charity Donation: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelcharity_campaigndonate\n- Charity Campaign Start: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelcharity_campaignstart\n- Charity Campaign Progress: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelcharity_campaignprogress\n- Charity Campaign Stop: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelcharity_campaignstop","ref":"Teac.Scopes.Channel.html#read_charity/0"},{"type":"function","title":"Teac.Scopes.Channel.read_editors/0","doc":"View a list of users with the editor role for a channel.\n\nAPI:\n- Get Channel Editors: https://dev.twitch.tv/docs/api/reference#get-channel-editors","ref":"Teac.Scopes.Channel.html#read_editors/0"},{"type":"function","title":"Teac.Scopes.Channel.read_goals/0","doc":"View Creator Goals for a channel.\n\nAPI:\n- Get Creator Goals: https://dev.twitch.tv/docs/api/reference#get-creator-goals\n\nEventSub:\n- Goal Begin: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelgoalbegin\n- Goal Progress: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelgoalprogress\n- Goal End: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelgoalend","ref":"Teac.Scopes.Channel.html#read_goals/0"},{"type":"function","title":"Teac.Scopes.Channel.read_guest_star/0","doc":"Read Guest Star details for your channel.\n\nAPI:\n- Get Channel Guest Star Settings: https://dev.twitch.tv/docs/api/reference#get-channel-guest-star-settings\n- Get Guest Star Session: https://dev.twitch.tv/docs/api/reference#get-guest-star-session\n- Get Guest Star Invites: https://dev.twitch.tv/docs/api/reference#get-guest-star-invites\n\nEventSub:\n- Channel Guest Star Session Begin: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelguest_star_sessionbegin\n- Channel Guest Star Session End: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelguest_star_sessionend\n- Channel Guest Star Guest Update: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelguest_star_guestupdate\n- Channel Guest Star Settings Update: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelguest_star_settingsupdate","ref":"Teac.Scopes.Channel.html#read_guest_star/0"},{"type":"function","title":"Teac.Scopes.Channel.read_hype_train/0","doc":"View Hype Train information for a channel.\n\nAPI:\n- Get Hype Train Events: https://dev.twitch.tv/docs/api/reference#get-hype-train-events\n\nEventSub:\n- Hype Train Begin: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelhype_trainbegin\n- Hype Train Progress: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelhype_trainprogress\n- Hype Train End: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelhype_trainend","ref":"Teac.Scopes.Channel.html#read_hype_train/0"},{"type":"function","title":"Teac.Scopes.Channel.read_polls/0","doc":"View a channel’s polls.\n\nAPI:\n- Get Polls: https://dev.twitch.tv/docs/api/reference#get-polls\n\nEventSub:\n- Channel Poll Begin: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelpollbegin\n- Channel Poll Progress: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelpollprogress\n- Channel Poll End: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelpollend","ref":"Teac.Scopes.Channel.html#read_polls/0"},{"type":"function","title":"Teac.Scopes.Channel.read_predictions/0","doc":"View a channel’s Channel Points Predictions.\n\nAPI:\n- Get Channel Points Predictions: https://dev.twitch.tv/docs/api/reference#get-predictions\n\nEventSub:\n- Channel Prediction Begin: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelpredictionbegin\n- Channel Prediction Progress: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelpredictionprogress\n- Channel Prediction Lock: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelpredictionlock\n- Channel Prediction End: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelpredictionend","ref":"Teac.Scopes.Channel.html#read_predictions/0"},{"type":"function","title":"Teac.Scopes.Channel.read_redemptions/0","doc":"View Channel Points custom rewards and their redemptions on a channel.\n\nAPI:\n- Get Custom Reward: https://dev.twitch.tv/docs/api/reference#get-custom-reward\n- Get Custom Reward Redemption: https://dev.twitch.tv/docs/api/reference#get-custom-reward-redemption\n\nEventSub:\n- Channel Points Automatic Reward Redemption: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelchannel_points_automatic_reward_redemptionadd\n- Channel Points Automatic Reward Redemption v2: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelchannel_points_automatic_reward_redemptionadd-v2\n- Channel Points Custom Reward Add: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelchannel_points_custom_rewardadd\n- Channel Points Custom Reward Update: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelchannel_points_custom_rewardupdate\n- Channel Points Custom Reward Remove: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelchannel_points_custom_rewardremove\n- Channel Points Custom Reward Redemption Add: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelchannel_points_custom_reward_redemptionadd\n- Channel Points Custom Reward Redemption Update: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelchannel_points_custom_reward_redemptionupdate","ref":"Teac.Scopes.Channel.html#read_redemptions/0"},{"type":"function","title":"Teac.Scopes.Channel.read_stream_key/0","doc":"View an authorized user’s stream key.\n\nAPI:\n- Get Stream Key: https://dev.twitch.tv/docs/api/reference#get-stream-key","ref":"Teac.Scopes.Channel.html#read_stream_key/0"},{"type":"function","title":"Teac.Scopes.Channel.read_subscriptions/0","doc":"View a list of all subscribers to a channel and check if a user is subscribed to a channel.\n\nAPI:\n- Get Broadcaster Subscriptions: https://dev.twitch.tv/docs/api/reference#get-broadcaster-subscriptions\n\nEventSub:\n- Channel Subscribe: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelsubscribe\n- Channel Subscription End: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelsubscriptionend\n- Channel Subscription Gift: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelsubscriptiongift\n- Channel Subscription Message: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelsubscriptionmessage","ref":"Teac.Scopes.Channel.html#read_subscriptions/0"},{"type":"function","title":"Teac.Scopes.Channel.read_vips/0","doc":"Read the list of VIPs in your channel.\n\nAPI:\n- Get VIPs: https://dev.twitch.tv/docs/api/reference#get-vips\n\nEventSub:\n- Channel VIP Add: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelvipadd\n- Channel VIP Remove: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelvipremove","ref":"Teac.Scopes.Channel.html#read_vips/0"},{"type":"module","title":"Teac.Scopes.Clips","doc":"Clip management scopes","ref":"Teac.Scopes.Clips.html"},{"type":"function","title":"Teac.Scopes.Clips.all/0","doc":"Returns the entire map of scope atoms to scope strings.","ref":"Teac.Scopes.Clips.html#all/0"},{"type":"function","title":"Teac.Scopes.Clips.all_keys/0","doc":"Returns a list of all valid scope atoms.","ref":"Teac.Scopes.Clips.html#all_keys/0"},{"type":"function","title":"Teac.Scopes.Clips.all_values/0","doc":"Returns a list of all valid scope strings.","ref":"Teac.Scopes.Clips.html#all_values/0"},{"type":"function","title":"Teac.Scopes.Clips.edit/0","doc":"Manage Clips for a channel.\n\nAPI:\n- Create Clip: https://dev.twitch.tv/docs/api/reference#create-clip","ref":"Teac.Scopes.Clips.html#edit/0"},{"type":"function","title":"Teac.Scopes.Clips.get/1","doc":"Retrieves the scope string corresponding to the given atom key.","ref":"Teac.Scopes.Clips.html#get/1"},{"type":"function","title":"Examples - Teac.Scopes.Clips.get/1","doc":"iex> YourModule.get(:example_key)\n    \"example:scope\"","ref":"Teac.Scopes.Clips.html#get/1-examples"},{"type":"module","title":"Teac.Scopes.Helper","doc":"common functions macro","ref":"Teac.Scopes.Helper.html"},{"type":"module","title":"Teac.Scopes.Moderation","doc":"Moderation scopes","ref":"Teac.Scopes.Moderation.html"},{"type":"function","title":"Teac.Scopes.Moderation.all/0","doc":"Returns the entire map of scope atoms to scope strings.","ref":"Teac.Scopes.Moderation.html#all/0"},{"type":"function","title":"Teac.Scopes.Moderation.all_keys/0","doc":"Returns a list of all valid scope atoms.","ref":"Teac.Scopes.Moderation.html#all_keys/0"},{"type":"function","title":"Teac.Scopes.Moderation.all_values/0","doc":"Returns a list of all valid scope strings.","ref":"Teac.Scopes.Moderation.html#all_values/0"},{"type":"function","title":"Teac.Scopes.Moderation.get/1","doc":"Retrieves the scope string corresponding to the given atom key.","ref":"Teac.Scopes.Moderation.html#get/1"},{"type":"function","title":"Examples - Teac.Scopes.Moderation.get/1","doc":"iex> YourModule.get(:example_key)\n    \"example:scope\"","ref":"Teac.Scopes.Moderation.html#get/1-examples"},{"type":"function","title":"Teac.Scopes.Moderation.manage_announcements/0","doc":"Send announcements in channels where you have the moderator role.\n\nAPI:\n- Send Chat Announcement: https://dev.twitch.tv/docs/api/reference#send-chat-announcement","ref":"Teac.Scopes.Moderation.html#manage_announcements/0"},{"type":"function","title":"Teac.Scopes.Moderation.manage_automod/0","doc":"Manage messages held for review by AutoMod in channels where you are a moderator.\n\nAPI:\n- Manage Held AutoMod Messages: https://dev.twitch.tv/docs/api/reference#manage-held-automod-messages\n\nEventSub:\n- AutoMod Message Hold: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#automodmessagehold\n- AutoMod Message Hold v2: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#automodmessagehold-v2\n- AutoMod Message Update: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#automodmessageupdate\n- AutoMod Message Update v2: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#automodmessageupdate-v2\n- AutoMod Terms Update: https://dev.twitch.tv/docs/authentication/eventsub/eventsub-subscription-types/#automodtermsupdate","ref":"Teac.Scopes.Moderation.html#manage_automod/0"},{"type":"function","title":"Teac.Scopes.Moderation.manage_automod_settings/0","doc":"Manage a broadcaster’s AutoMod settings.\n\nAPI:\n- Update AutoMod Settings: https://dev.twitch.tv/docs/api/reference#update-automod-settings","ref":"Teac.Scopes.Moderation.html#manage_automod_settings/0"},{"type":"function","title":"Teac.Scopes.Moderation.manage_banned_users/0","doc":"Ban and unban users.\n\nAPI:\n- Get Banned Users: https://dev.twitch.tv/docs/api/reference/#get-banned-users\n- Ban User: https://dev.twitch.tv/docs/api/reference#ban-user\n- Unban User: https://dev.twitch.tv/docs/api/reference#unban-user\n\nEventSub:\n- Channel Moderate: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelmoderate\n- Channel Moderate v2: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelmoderate-v2","ref":"Teac.Scopes.Moderation.html#manage_banned_users/0"},{"type":"function","title":"Teac.Scopes.Moderation.manage_blocked_terms/0","doc":"Manage a broadcaster’s list of blocked terms.\n\nAPI:\n- Get Blocked Terms: https://dev.twitch.tv/docs/api/reference#get-blocked-terms\n- Add Blocked Term: https://dev.twitch.tv/docs/api/reference#add-blocked-term\n- Remove Blocked Term: https://dev.twitch.tv/docs/api/reference#remove-blocked-term\n\nEventSub:\n- Channel Moderate: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelmoderate","ref":"Teac.Scopes.Moderation.html#manage_blocked_terms/0"},{"type":"function","title":"Teac.Scopes.Moderation.manage_chat_messages/0","doc":"Delete chat messages in channels where you have the moderator role\n\nAPI:\n- Delete Chat Messages: https://dev.twitch.tv/docs/api/reference#delete-chat-messages\n\nEventSub:\n- Channel Moderate: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelmoderate","ref":"Teac.Scopes.Moderation.html#manage_chat_messages/0"},{"type":"function","title":"Teac.Scopes.Moderation.manage_chat_settings/0","doc":"Manage a broadcaster’s chat room settings.\n\nAPI:\n- Update Chat Settings: https://dev.twitch.tv/docs/api/reference#update-chat-settings\n\nEventSub:\n- Channel Moderate: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelmoderate","ref":"Teac.Scopes.Moderation.html#manage_chat_settings/0"},{"type":"function","title":"Teac.Scopes.Moderation.manage_guest_star/0","doc":"Manage Guest Star for channels where you are a Guest Star moderator.\n\nAPI:\n- Send Guest Star Invite: https://dev.twitch.tv/docs/api/reference#send-guest-star-invite\n- Delete Guest Star Invite: https://dev.twitch.tv/docs/api/reference#delete-guest-star-invite\n- Assign Guest Star Slot: https://dev.twitch.tv/docs/api/reference#assign-guest-star-slot\n- Update Guest Star Slot: https://dev.twitch.tv/docs/api/reference#update-guest-star-slot\n- Delete Guest Star Slot: https://dev.twitch.tv/docs/api/reference#delete-guest-star-slot\n- Update Guest Star Slot Settings: https://dev.twitch.tv/docs/api/reference#update-guest-star-slot-settings\n\nEventSub:\n- Channel Guest Star Session Begin: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelguest_star_sessionbegin\n- Channel Guest Star Session End: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelguest_star_sessionend\n- Channel Guest Star Guest Update: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelguest_star_guestupdate\n- Channel Guest Star Settings Update: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelguest_star_settingsupdate","ref":"Teac.Scopes.Moderation.html#manage_guest_star/0"},{"type":"function","title":"Teac.Scopes.Moderation.manage_shield_mode/0","doc":"Manage a broadcaster’s Shield Mode status.\n\nAPI:\n- Update Shield Mode Status: https://dev.twitch.tv/docs/api/reference#update-shield-mode-status\n\nEventSub:\n- Shield Mode Begin: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelshield_modebegin\n- Shield Mode End: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelshield_modeend","ref":"Teac.Scopes.Moderation.html#manage_shield_mode/0"},{"type":"function","title":"Teac.Scopes.Moderation.manage_shoutouts/0","doc":"Manage a broadcaster’s shoutouts.\n\nAPI:\n- Send a Shoutout: https://dev.twitch.tv/docs/api/reference#send-a-shoutout\n\nEventSub:\n- Shoutout Create: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelshoutoutcreate\n- Shoutout Received: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelshoutoutreceive","ref":"Teac.Scopes.Moderation.html#manage_shoutouts/0"},{"type":"function","title":"Teac.Scopes.Moderation.manage_unban_requests/0","doc":"Manage a broadcaster’s unban requests.\n\nAPI:\n- Resolve Unban Requests: https://dev.twitch.tv/docs/api/reference/#resolve-unban-requests\n\nEventSub:\n- Channel Unban Request Create: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelunban_requestcreate\n- Channel Unban Request Resolve: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelunban_requestresolve\n- Channel Moderate: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelmoderate","ref":"Teac.Scopes.Moderation.html#manage_unban_requests/0"},{"type":"function","title":"Teac.Scopes.Moderation.manage_warnings/0","doc":"Warn users in channels where you have the moderator role.\n\nAPI:\n- Warn Chat User: https://dev.twitch.tv/docs/api/reference#warn-chat-user\n\nEventSub:\n- Channel Moderate v2: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelmoderate-v2\n- Channel Warning Acknowledge: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelwarningacknowledge\n- Channel Warning Send: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelwarningsend","ref":"Teac.Scopes.Moderation.html#manage_warnings/0"},{"type":"function","title":"Teac.Scopes.Moderation.read/0","doc":"View a channel’s moderation data including Moderators, Bans, Timeouts, and Automod settings.\n\nAPI:\n- Check AutoMod Status: https://dev.twitch.tv/docs/api/reference#check-automod-status\n- Get Banned Users: https://dev.twitch.tv/docs/api/reference#get-banned-users\n- Get Moderators: https://dev.twitch.tv/docs/api/reference#get-moderators\n\nEventSub:\n- Channel Moderator Add: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelmoderatoradd\n- Channel Moderator Remove: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelmoderatorremove","ref":"Teac.Scopes.Moderation.html#read/0"},{"type":"function","title":"Teac.Scopes.Moderation.read_automod_settings/0","doc":"View a broadcaster’s AutoMod settings.\n\nAPI:\n- Get AutoMod Settings: https://dev.twitch.tv/docs/api/reference#get-automod-settings\n\nEventSub:\n- AutoMod Settings Update: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#automodsettingsupdate","ref":"Teac.Scopes.Moderation.html#read_automod_settings/0"},{"type":"function","title":"Teac.Scopes.Moderation.read_banned_users/0","doc":"Read the list of bans or unbans in channels where you have the moderator role.\n\nEventSub:\n- Channel Moderate: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelmoderate\n- Channel Moderate v2: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelmoderate-v2","ref":"Teac.Scopes.Moderation.html#read_banned_users/0"},{"type":"function","title":"Teac.Scopes.Moderation.read_blocked_terms/0","doc":"View a broadcaster’s list of blocked terms.\n\nAPI:\n- Get Blocked Terms: https://dev.twitch.tv/docs/api/reference#get-blocked-terms\n\nEventSub:\n- Channel Moderate: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelmoderate","ref":"Teac.Scopes.Moderation.html#read_blocked_terms/0"},{"type":"function","title":"Teac.Scopes.Moderation.read_chat_messages/0","doc":"Read deleted chat messages in channels where you have the moderator role.\n\nEventSub:\n- Channel Moderate: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelmoderate","ref":"Teac.Scopes.Moderation.html#read_chat_messages/0"},{"type":"function","title":"Teac.Scopes.Moderation.read_chat_settings/0","doc":"View a broadcaster’s chat room settings.\n\nAPI:\n- Get Chat Settings: https://dev.twitch.tv/docs/api/reference#get-chat-settings\n\nEventSub:\n- Channel Moderate: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelmoderate","ref":"Teac.Scopes.Moderation.html#read_chat_settings/0"},{"type":"function","title":"Teac.Scopes.Moderation.read_chatters/0","doc":"View the chatters in a broadcaster’s chat room.\n\nAPI:\n- Get Chatters: https://dev.twitch.tv/docs/api/reference#get-chatters","ref":"Teac.Scopes.Moderation.html#read_chatters/0"},{"type":"function","title":"Teac.Scopes.Moderation.read_followers/0","doc":"Read the followers of a broadcaster.\n\nAPI:\n- Get Channel Followers: https://dev.twitch.tv/docs/api/reference#get-channel-followers\n\nEventSub:\n- Channel Follow: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelfollow","ref":"Teac.Scopes.Moderation.html#read_followers/0"},{"type":"function","title":"Teac.Scopes.Moderation.read_guest_star/0","doc":"Read Guest Star details for channels where you are a Guest Star moderator.\n\nAPI:\n- Get Channel Guest Star Settings: https://dev.twitch.tv/docs/api/reference#get-channel-guest-star-settings\n- Get Guest Star Session: https://dev.twitch.tv/docs/api/reference#get-guest-star-session\n- Get Guest Star Invites: https://dev.twitch.tv/docs/api/reference#get-guest-star-invites\n\nEventSub:\n- Channel Guest Star Session Begin: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelguest_star_sessionbegin\n- Channel Guest Star Session End: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelguest_star_sessionend\n- Channel Guest Star Guest Update: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelguest_star_guestupdate\n- Channel Guest Star Settings Update: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelguest_star_settingsupdate","ref":"Teac.Scopes.Moderation.html#read_guest_star/0"},{"type":"function","title":"Teac.Scopes.Moderation.read_moderators/0","doc":"Read the list of moderators in channels where you have the moderator role.\n\nEventSub:\n- Channel Moderate: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelmoderate\n- Channel Moderate v2: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelmoderate-v2","ref":"Teac.Scopes.Moderation.html#read_moderators/0"},{"type":"function","title":"Teac.Scopes.Moderation.read_shield_mode/0","doc":"View a broadcaster’s Shield Mode status.\n\nAPI:\n- Get Shield Mode Status: https://dev.twitch.tv/docs/api/reference#update-shield-mode-status\n\nEventSub:\n- Shield Mode Begin: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelshield_modebegin\n- Shield Mode End: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelshield_modeend","ref":"Teac.Scopes.Moderation.html#read_shield_mode/0"},{"type":"function","title":"Teac.Scopes.Moderation.read_shoutouts/0","doc":"View a broadcaster’s shoutouts.\n\nEventSub:\n- Shoutout Create: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelshoutoutcreate\n- Shoutout Received: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelshoutoutreceive","ref":"Teac.Scopes.Moderation.html#read_shoutouts/0"},{"type":"function","title":"Teac.Scopes.Moderation.read_suspicious_users/0","doc":"Read chat messages from suspicious users and see users flagged as suspicious in channels where you have the moderator role.\n\nEventSub:\n- Channel Suspicious User Message: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelsuspicious_usermessage\n- Channel Suspicious User Update: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelsuspicious_userupdate","ref":"Teac.Scopes.Moderation.html#read_suspicious_users/0"},{"type":"function","title":"Teac.Scopes.Moderation.read_unban_requests/0","doc":"View a broadcaster’s unban requests.\n\nAPI:\n- Get Unban Requests: https://dev.twitch.tv/docs/api/reference/#get-unban-requests\n\nEventSub:\n- Channel Unban Request Create: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelunban_requestcreate\n- Channel Unban Request Resolve: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelunban_requestresolve\n- Channel Moderate: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelmoderate","ref":"Teac.Scopes.Moderation.html#read_unban_requests/0"},{"type":"function","title":"Teac.Scopes.Moderation.read_vips/0","doc":"Read the list of VIPs in channels where you have the moderator role.\n\nEventSub:\n- Channel Moderate: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelmoderate\n- Channel Moderate v2: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelmoderate-v2","ref":"Teac.Scopes.Moderation.html#read_vips/0"},{"type":"function","title":"Teac.Scopes.Moderation.read_warnings/0","doc":"Read warnings in channels where you have the moderator role.\n\nEventSub:\n- Channel Moderate v2: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelmoderate-v2\n- Channel Warning Acknowledge: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelwarningacknowledge\n- Channel Warning Send: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelwarningsend","ref":"Teac.Scopes.Moderation.html#read_warnings/0"},{"type":"module","title":"Teac.Scopes.User","doc":"User scopes","ref":"Teac.Scopes.User.html"},{"type":"function","title":"Teac.Scopes.User.all/0","doc":"Returns the entire map of scope atoms to scope strings.","ref":"Teac.Scopes.User.html#all/0"},{"type":"function","title":"Teac.Scopes.User.all_keys/0","doc":"Returns a list of all valid scope atoms.","ref":"Teac.Scopes.User.html#all_keys/0"},{"type":"function","title":"Teac.Scopes.User.all_values/0","doc":"Returns a list of all valid scope strings.","ref":"Teac.Scopes.User.html#all_values/0"},{"type":"function","title":"Teac.Scopes.User.bot/0","doc":"Join a specified chat channel as your user and appear as a bot, and perform chat-related actions as your user.\n\nAPI:\n- Send Chat Message: https://dev.twitch.tv/docs/api/reference/#send-chat-message\n\nEventSub:\n- Channel Chat Clear: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelchatclear\n- Channel Chat Clear User Messages: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelchatclear_user_messages\n- Channel Chat Message: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelchatmessage\n- Channel Chat Message Delete: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelchatmessage_delete\n- Channel Chat Notification: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelchatnotification\n- Channel Chat Settings Update: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelchat_settingsupdate\n- Channel Chat User Message Hold: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelchat_user_message_hold\n- Channel Chat User Message Update: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelchatuser_message_update","ref":"Teac.Scopes.User.html#bot/0"},{"type":"function","title":"Teac.Scopes.User.edit/0","doc":"user:edit \tManage a user object.\n\nAPI:\n- Update User: https://dev.twitch.tv/docs/api/reference#update-user","ref":"Teac.Scopes.User.html#edit/0"},{"type":"function","title":"Teac.Scopes.User.edit_broadcast/0","doc":"View and edit a user’s broadcasting configuration, including Extension configurations.\n\nAPI:\n- Get User Extensions: https://dev.twitch.tv/docs/api/reference/#get-user-extensions\n- Get User Active Extensions: https://dev.twitch.tv/docs/api/reference/#get-user-active-extensions\n- Update User Extensions: https://dev.twitch.tv/docs/api/reference/#update-user-extensions","ref":"Teac.Scopes.User.html#edit_broadcast/0"},{"type":"function","title":"Teac.Scopes.User.get/1","doc":"Retrieves the scope string corresponding to the given atom key.","ref":"Teac.Scopes.User.html#get/1"},{"type":"function","title":"Examples - Teac.Scopes.User.get/1","doc":"iex> YourModule.get(:example_key)\n    \"example:scope\"","ref":"Teac.Scopes.User.html#get/1-examples"},{"type":"function","title":"Teac.Scopes.User.manage_blocked_users/0","doc":"Manage the block list of a user.\n\nAPI:\n- Block User: https://dev.twitch.tv/docs/api/reference#block-user\n- Unblock User: https://dev.twitch.tv/docs/api/reference#unblock-user","ref":"Teac.Scopes.User.html#manage_blocked_users/0"},{"type":"function","title":"Teac.Scopes.User.manage_chat_color/0","doc":"Update the color used for the user’s name in chat.\n\nAPI:\n- Update User Chat Color: https://dev.twitch.tv/docs/api/reference#update-user-chat-color","ref":"Teac.Scopes.User.html#manage_chat_color/0"},{"type":"function","title":"Teac.Scopes.User.manage_whispers/0","doc":"Receive whispers sent to your user, and send whispers on your user’s behalf.\n\nAPI:\n- Send Whisper: https://dev.twitch.tv/docs/api/reference#send-whisper\n\nEventSub:\n- Whisper Received: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#userwhispermessage","ref":"Teac.Scopes.User.html#manage_whispers/0"},{"type":"function","title":"Teac.Scopes.User.read_blocked_users/0","doc":"View the block list of a user.\n\nAPI:\n- Get User Block List: https://dev.twitch.tv/docs/api/reference#get-user-block-list","ref":"Teac.Scopes.User.html#read_blocked_users/0"},{"type":"function","title":"Teac.Scopes.User.read_broadcast/0","doc":"View a user’s broadcasting configuration, including Extension configurations.\n\nAPI:\n- Get Stream Markers: https://dev.twitch.tv/docs/api/reference#get-stream-markers\n- Get User Extensions: https://dev.twitch.tv/docs/api/reference#get-user-extensions\n- Get User Active Extensions: https://dev.twitch.tv/docs/api/reference#get-user-active-extensions","ref":"Teac.Scopes.User.html#read_broadcast/0"},{"type":"function","title":"Teac.Scopes.User.read_chat/0","doc":"Receive chatroom messages and informational notifications relating to a channel’s chatroom.\n\nEventSub:\n- Channel Chat Clear: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelchatclear\n- Channel Chat Clear User Messages: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelchatclear_user_messages\n- Channel Chat Message: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelchatclear_user_messages\n- Channel Chat Message Delete: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelchatmessage_delete\n- Channel Chat Notification: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelchatnotification\n- Channel Chat Settings Update: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelchat_settingsupdate\n- Channel Chat User Message Hold: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelchatuser_message_hold\n- Channel Chat User Message Update: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#channelchatuser_message_update","ref":"Teac.Scopes.User.html#read_chat/0"},{"type":"function","title":"Teac.Scopes.User.read_email/0","doc":"View a user’s email address.\n\nAPI:\n- Get Users (optional): https://dev.twitch.tv/docs/api/reference#get-users\n- Update User (optional): https://dev.twitch.tv/docs/api/reference/#update-user\n\nEventSub:\n- User Update (optional): https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#userupdate","ref":"Teac.Scopes.User.html#read_email/0"},{"type":"function","title":"Teac.Scopes.User.read_emotes/0","doc":"View emotes available to a user\n\nAPI:\n- Get User Emotes: https://dev.twitch.tv/docs/api/reference/#get-user-emotes","ref":"Teac.Scopes.User.html#read_emotes/0"},{"type":"function","title":"Teac.Scopes.User.read_follows/0","doc":"View the list of channels a user follows.\n\nAPI:\n- Get Followed Channels: https://dev.twitch.tv/docs/api/reference#get-followed-channels\n- Get Followed Streams: https://dev.twitch.tv/docs/api/reference#get-followed-streams","ref":"Teac.Scopes.User.html#read_follows/0"},{"type":"function","title":"Teac.Scopes.User.read_moderated_channels/0","doc":"Read the list of channels you have moderator privileges in.\n\nAPI:\n- Get Moderated Channels: https://dev.twitch.tv/docs/api/reference#get-moderated-channels","ref":"Teac.Scopes.User.html#read_moderated_channels/0"},{"type":"function","title":"Teac.Scopes.User.read_subscriptions/0","doc":"View if an authorized user is subscribed to specific channels.\n\nAPI:\n- Check User Subscription: https://dev.twitch.tv/docs/api/reference#check-user-subscription","ref":"Teac.Scopes.User.html#read_subscriptions/0"},{"type":"function","title":"Teac.Scopes.User.read_whispers/0","doc":"Receive whispers sent to your user.\n\nEventSub:\n- Whisper Received: https://dev.twitch.tv/docs/eventsub/eventsub-subscription-types/#userwhispermessage","ref":"Teac.Scopes.User.html#read_whispers/0"},{"type":"function","title":"Teac.Scopes.User.write_chat/0","doc":"Send chat messages to a chatroom.\n\nAPI:\n- Send Chat Message: https://dev.twitch.tv/docs/api/reference/#send-chat-message","ref":"Teac.Scopes.User.html#write_chat/0"},{"type":"extras","title":"Teac","doc":"# Teac\n\nTwitch Elixir API Client\nFor Twitch's REST and WebSocket API.\n\n> ⚠️  Please note this is a work in progress. ⚠️   \n> There is a ticket for varifying each and every http reset endpoint.    \n> To check if a given endpoint been fully implamented, check the issues corrasponding to that endpoint.","ref":"readme.html"},{"type":"extras","title":"Hex docs - Teac","doc":"https://hexdocs.pm/teac/readme.html","ref":"readme.html#hex-docs"},{"type":"extras","title":"Installation - Teac","doc":"This is currently a work in progress.\n\n```elixir\ndef deps do\n  [\n    {:teac, \"~> 0.1.0\"}\n    # {:teac, git: \"https://github.com/fullstack-ing/teac\"}\n  ]\nend\n```\n\n### .env\n```bash\nexport TWITCH_CLIENT_ID=\"\"\nexport TWITCH_CLIENT_SECRET=\"\"\nexport TWITCH_API_URI=\"https://api.twitch.tv/helix/\"\nexport TWITCH_AUTH_URI=\"https://id.twitch.tv/oauth2/\"\nexport TWITCH_OAUTH_CALLBACK_URI=\"http://example.com:4000/oauth/callbacks/twitch/\"\n```","ref":"readme.html#installation"},{"type":"extras","title":"config.ex - Teac","doc":"```elixir\nconfig :teac,\n  client_id: System.get_env(\"TWITCH_CLIENT_ID\"),\n  client_secret: System.get_env(\"TWITCH_CLIENT_SECRET\"),\n  api_uri: System.get_env(\"TWITCH_API_URI\"),\n  auth_uri: System.get_env(\"TWITCH_AUTH_URI\"),\n  oauth_callback_uri: System.get_env(\"TWITCH_OAUTH_CALLBACK_URI\")\n```","ref":"readme.html#config-ex"},{"type":"extras","title":"Example Application using this lib. - Teac","doc":"https://github.com/fullstack-ing/teac_example","ref":"readme.html#example-application-using-this-lib"},{"type":"extras","title":"Using App Flow Auth token. - Teac","doc":"A genserver that fetches and mantains a valid auth token for Client Credential is provided.\nIE: Server To Server or noted as on any endpoint as `Requires an app access token`\n\n```elixir\ndef start(_type, _args) do\n  children = [\n    ...\n    Teac.Oauth.ClientCredentialManager,\n    ...\n  ]\n  opts = [strategy: :one_for_one, name: TeacExample.Supervisor]\n  Supervisor.start_link(children, opts)\nend\n```\n\nAssuming you provided your `.env` vars and have a running server.\nYou should be able to call that genserver to get a working token via.\n\n```elixir\nTeac.Oauth.ClientCredentialManager.get_token()\n```\n\nThis should always return a valid app token.","ref":"readme.html#using-app-flow-auth-token"},{"type":"extras","title":"Developing - Teac","doc":"You will need the twitch cli tool.\nhttps://dev.twitch.tv/docs/cli/\n\n* Generate some mock data\n  `twitch mock-api generate -c 6`\n\n* Set Env Variables from mock output\n  `export TWITCH_CLIENT_ID=your_client_id`\n  `export TWITCH_CLIENT_SECRET=your_client_secret`\n  `export TWITCH_API_URI=\"http://localhost:8080\"`\n\n* Start a mock twitch server.\n  `twitch mock-api serve`\n\nAssuming you have a Twitch mock server running to get the auth.\n```elixir\n{:ok, [%{\"ID\" => client_id, \"Secret\" => client_secret}]} = Teac.MockApi.clients()\n\n{:ok, %{\"access_token\" => access_token}} =\n  Teac.MockAuth.fetch_app_access_token(client_id: client_id, client_secret: client_secret)\n\nopts = [token: access_token, client_id: client_id, client_secret: client_secret]\n{:ok, data} = Teac.Api.Bits.Cheermotes.get(opts)\n```\n\nEvery endpoint in the `Teac.Api` module takes an opts Keyword list.\nBy default most will require a `token` and `client_id`.\n\nAll the other options are also just passed in the Keyword list (opts).","ref":"readme.html#developing"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}